<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title>Dacelo UI Components</title>
  	<link rel="stylesheet" type="text/css" href="stylesheets/styles.css" />
  	<script src="javascripts/prototype.js" type="text/javascript"></script>
  	<script src="javascripts/yui/build/yahoo-dom-event/yahoo-dom-event.js" type="text/javascript"></script>
  	<script src="javascripts/yui/build/element/element-beta.js" type="text/javascript"></script>
  	<script src="javascripts/yui/build/datasource/datasource-beta.js" type="text/javascript"></script>
  	<script src="javascripts/yui/build/datatable/datatable-beta.js" type="text/javascript"></script>
  	<script src="javascripts/yui/build/tabview/tabview.js" type="text/javascript"></script>
  	<script src="javascripts/tooltip-v0.2.js" type="text/javascript"></script>
  	<script src="javascripts/application.js" type="text/javascript"></script>
		<style type="text/css">
		  /*Location*/
      div.location.small {
        background: #DDD;
        padding: 3px;
      }
      div.location.small ul.data, div.location.small ol.data {
        list-style: none;
        padding: 0;
        margin: 1px;
      }
      div.location.small .data li {
        text-align: right;
      }
      div.location.small .data li span.label {
        font-weight: bold;
        color: #888;
        float: left;
      }
      div.location.small .data li span.primary {
        font-weight: bold;
        font-size: 1.5em;
        line-height: 1em;
      }
      div.location.small .data li span.value {
        font-weight: bold;
      }
      div.location.small .data li span.unimportant {
        font-weight: bold;
        color: #888;
      }
      
      /*Client*/
      div.client.small {
        background: #DDD;
        padding: 5px;
      }
      div.client.small ul.data, div.client.small ol.data {
        padding: 0;
        margin: 1px;
        list-style: none;
      }
      div.client.small .data li {
        margin: 0.25em;
        text-align: right;
      }
      div.client.small .data li span.label {
        font-weight: bold;
        color: #888;
        float: left;
      }
      div.client.small .data li span.primary {
        font-weight: bold;
        font-size: 1.5em;
        line-height: 0.5em;
      }
      div.client.small .data li span.value {
        font-weight: bold;
      }
      div.client.small .data li span.label.minimize {
        font-size: 0.8em;
      }
      div.client.small .data li span.value.minimize {
        font-size: 0.8em;
      	line-height: 0.5em;
      	font-weight: normal;
      }
		</style>
  </head>
  <body>
    <div id="page">
      
      <div id="header">
        <h1>Dacelo UI Components</h1>
      </div><!-- /header -->
      
      <div id="body">
        
        <div class="dacelo-skin"><div id="tabs" class="dacelo-tabset yui-navset">
          <ul class="yui-nav">
            <li><a href="#t1">Introduction</a></li>
            <li class="selected"><a href="#t2">Usage</a></li>
            <li><a href="#t3">License</a></li>
          </ul><!-- /.yui-nav -->
          <div class="yui-content">
            <div id="t1" class="tab">
              <h2>Introduction</h2>
              <p>
                The Dacelo UI Components distribution includes a coordination of YUI and
                Prototype (with Scriptaculous) to create very clean, simple implementations
                for various tasks, like stylistic yet light-weight overlaying tooltips or
                tables with sortable data, etc.
              </p>
              <p>
                Essentially, there is nothing revolutionary in this distribution; instead,
                this distribution is intended to tie these libraries into a cohesive and
                contained solution to be dropped into any application with similar
                requirements to achieve identical results.
              </p>
            </div><!-- /t1 -->
            <div id="t2" class="tab">
              <h2>Usage</h2>
              <p>
                Well... that's what we're working out. Hang with it.
              </p>
              <h3>Assets</h3>
              <div class="dacelo-skin"><div id="assets-view">
                <table id="assets">
                  <thead>
                    <tr>
                      <th>HUB ID</th>
                      <th>Service Tag</th>
                      <th>Asset Type</th>
                      <th>State</th>
                      <th>Location</th>
                      <th></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td><a href="#">10000</a></td>
                      <td><a href="#">SV4R11B</a></td>
                      <td><a href="#">Dell D820</a></td>
                      <td><a href="#">Holding</a></td>
                      <td><span class="location l163-rack-1a"><a href="#">L163 Rack 1A</a></span></td>
                      <td><a href="#">Distribute</a></td>
                    </tr>
                    <tr>
                      <td><a href="#">10001</a></td>
                      <td><a href="#">SV4R11C</a></td>
                      <td><a href="#">Dell D820</a></td>
                      <td><a href="#">Holding</a></td>
                      <td><span class="location l163-rack-1a"><a href="#">L163 Rack 1A</a></span></td>
                      <td><a href="#">Distribute</a></td>
                    </tr>
                    <tr>
                      <td><a href="#">10003</a></td>
                      <td><a href="#">SV4R11D</a></td>
                      <td><a href="#">Dell D820</a></td>
                      <td><a href="#">Issuable</a></td>
                      <td><span class="location l163-rack-4c"><a href="#">L163 Rack 4C</a></span></td>
                      <td><a href="#">Distribute</a></td>
                    </tr>
                    <tr>
                      <td><a href="#">10004</a></td>
                      <td><a href="#">SV4R11G</a></td>
                      <td><a href="#">Dell D820</a></td>
                      <td><a href="#">Holding</a></td>
                      <td><span class="location l163-rack-1a"><a href="#">L163 Rack 1A</a></span></td>
                      <td><a href="#">Distribute</a></td>
                    </tr>
                    <tr>
                      <td><a href="#">10341</a></td>
                      <td><a href="#">SX4R17H</a></td>
                      <td><span class="type dell-d820"><a href="#dell-d820">Dell D820</a></span></td>
                      <td><a href="#">Issuable</a></td>
                      <td><span class="location l163-rack-4a"><a href="#">L163 Rack 4A</a></span></td>
                      <td><a href="#">Distribute</a></td>
                    </tr>
                    <tr>
                      <td><a href="#">10348</a></td>
                      <td><a href="#">SX4R18K</a></td>
                      <td><a href="#">Dell D820</a></td>
                      <td><a href="#">Issuable</a></td>
                      <td><span class="location service-counter"><a href="#">Service Counter</a></span></td>
                      <td><a href="#">Distribute</a></td>
                    </tr>
                    <tr>
                      <td><a href="#">10348</a></td>
                      <td><a href="#">SX4R19V</a></td>
                      <td><a href="#">Dell D820</a></td>
                      <td><a href="#">Issued</a></td>
                      <td><span class="client mtodd"><a href="#">Matt Todd</a></span></td>
                      <td><a href="#">Swap</a>, <a href="#">Return</a></td>
                    </tr>
                  </tbody>
                </table><!-- /assets -->
              </div></div><!-- /assets-view -->
            </div><!-- /t1 -->
            <div id="t3" class="tab">
              <div id="license">
                <h2>License and Copyright</h2>
                <p>
                  Copyright &copy; 2007 Matt Todd &lt;http://purl.org/net/maraby&gt;.
                </p>
                <p>
                  Permission is hereby granted, free of charge, to any person obtaining a
                  copy of this software and associated documentation files (the "Software"),
                  to deal in the Software without restriction, including without limitation
                  the rights to use, copy, modify, merge, publish, distribute, sublicense,
                  and/or sell copies of the Software, and to permit persons to whom the
                  Software is furnished to do so, subject to the following conditions:
                </p>
                <p>
                  The above copyright notice and this permission notice shall be included in
                  all copies or substantial portions of the Software.
                </p>
                <p>
                  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
                  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
                  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
                  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
                  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
                  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
                  DEALINGS IN THE SOFTWARE.
                </p>
                <p>
                  This notice is located at:
                  <a href="http://www.opensource.org/licenses/mit-license.php">http://www.opensource.org/licenses/mit-license.php</a>
                </p>
              </div><!-- /license -->
            </div><!-- /t1 -->
          </div><!-- /.yui-content -->
          
        </div></div><!-- /tabs -->
        
      </div><!-- /body -->
      
    </div><!-- /page -->
    <div id="hidden-contents">
      <div id="l163-rack-1a" class="tooltip">
        <div id="location-1" class="location small">
          <ul class="data">
            <li class="identifier">
              <span class="label"></span>
              <span class="primary">Rack 1A</span>
            </li>
            <li class="identifier">
              <span class="label">Location:</span>
              <span class="value">L163</span>
            </li>
          </ul>
        </div>
      </div>
      <div id="l163-rack-4a" class="tooltip">
        <div id="location-2" class="location small">
          <ul class="data">
            <li class="identifier">
              <span class="label"></span>
              <span class="primary">Rack 4A</span>
            </li>
            <li class="identifier">
              <span class="label">Location:</span>
              <span class="value">L163</span>
            </li>
          </ul>
        </div>
      </div>
      <div id="l163-rack-4c" class="tooltip">
        <div id="location-3" class="location small">
          <ul class="data">
            <li class="identifier">
              <span class="label"></span>
              <span class="primary">Rack 4C</span>
            </li>
            <li class="identifier">
              <span class="label">Location:</span>
              <span class="value">L163</span>
            </li>
          </ul>
        </div>
      </div>
      <div id="service-counter" class="tooltip">
        <div id="location-4" class="location small">
          <ul class="data">
            <li class="identifier">
              <span class="label"></span>
              <span class="primary"></span>
            </li>
            <li class="identifier">
              <span class="label">Location:</span>
              <span class="value">Service Counter</span>
            </li>
          </ul>
        </div>
      </div>
      <div id="mtodd" class="tooltip">
        <div id="client-1" class="client small">
          <ul class="data">
            <li class="identifier">
              <span class="label">Name:</span>
              <span class="primary">Matt Todd</span>
            </li>
            <li class="identifier">
              <span class="label">Phone:</span>
              <span class="value">678-466-4357</span>
            </li>
            <li class="identifier">
              <span class="label minimize">Office:</span>
              <span class="value minimize">Virtual Services</span>
            </li>
            <li class="identifier">
              <span class="label minimize">Email:</span>
              <span class="value minimize"><a href="mailto:mtodd@clayton.edu">mtodd@clayton.edu</a></span>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <div id="dynload"></div>
  </body>
</html>
